

<div class="container">
    <div class="page-section flex-wrap-md">
        <div class="flex-2">
            <img [src]="img1url" [alt]="img1alt">
            <p class="image-attribution">Photo by <a [href]="img1att1">{{img1att2}}</a> on <a [href]="img1att3">Unsplash</a></p>
        </div>
        <div class="flex-1">
            <table class="centering-table">
                <tr>
                    <td>
                        <h1 class="heading-text">Together, we can deliver <span class="hope-logo">Hope</span> for a healthier tomorrow.</h1>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <hr>
    <div class="page-section">
        <div>
            <h2 class="mission-heading">Our Mission</h2>
        </div>
        <div class="flex-wrap-md">
            <div class="flex-1">
                <i class="far fa-clock mission-icon"></i>
                <p class="mission-points">Ensure everyone gets a covid-19 vaccine in a timely and efficient manner.</p>
            </div>
            <div class="flex-1">
                <i class="far fa-newspaper mission-icon"></i>
                <p class="mission-points">Keep people informed regarding the covid-19 vaccine and its distribution.</p>
            </div>
            <div class="flex-1">
                <i class="fas fa-syringe mission-icon"></i>
                <p class="mission-points">Facilitate distribution of available vaccination doses and appointment availabilities.</p>
            </div>
        </div>
    </div>
    <hr *ngIf="!isProvider">
    <div class="page-section flex-wrap-md" *ngIf="!isProvider">
        <div class="flex-1">
            <table class="centering-table">
                <tr>
                    <td *ngIf="!isLoggedIn && !hasAppointment">
                        <h2 class="heading-text">Join Us Today</h2>
                        <p class="brief-desc">Add yourself to the waitlist today to let to professional healthcare providers in your area know that you are seeking the vaccine. As soon as a local provider has an availability to administer the vaccine, you will be notified and asked to confirm your appointment.</p>
                        <button class="btn btn-dark-blue" (click)="openRegisterCard()">Sign Up Today</button>
                    </td>
                    <td *ngIf="isLoggedIn && !isPatient">
                        <h2 class="heading-text">Get Vaccinated!</h2>
                        <p class="brief-desc">Add yourself to the waitlist today to let to professional healthcare providers in your area know that you are seeking the vaccine. As soon as a local provider has an availability to administer the vaccine, you will be notified and asked to confirm your appointment.</p>
                        <button class="btn btn-dark-blue" (click)="openAddToWaitlistCard()">Join Waitlist</button>
                    </td>
                    <td *ngIf="isLoggedIn && isPatient">
                        <h2 class="heading-text">Check Status</h2>
                        <p class="brief-desc">Congratulations! You are currently in the waitlist to get your vaccination. As soon as providers in your area are ready to administer your vaccine you will be notified.</p>
                        <button class="btn btn-dark-blue" (click)="openAppointmentStatusCard()">Check Status</button>
                    </td>
                </tr>
            </table>
        </div>
        <div class="flex-2">
            <img [src]="img2url" [alt]="img2alt">
            <p class="image-attribution">Photo by <a [href]="img2att1">{{img2att2}}</a> on <a [href]="img2att3">Unsplash</a></p>
        </div>
    </div>
    <hr>
    <div class="page-section flex-wrap-md">
        <div class="flex-2">
            <img [src]="img3url" [alt]="img3alt">
            <p class="image-attribution">Photo by <a [href]="img3att1">{{img3att2}}</a> on <a [href]="img3att3">Unsplash</a></p>
        </div>
        <div class="flex-1">
            <table class="centering-table">
                <tr>
                    <td *ngIf="!isProvider">
                        <h2 class="heading-text">Help Us in the Battle Against COVID-19</h2>
                        <p class="brief-desc">If you are able to administer the vaccine, register with us today so that you can get curated vaccine recipients from our waitlist. This eliminates the need to arrange appointments manually and allows you to direct everyone seeking the vaccine to register with the waitlist and get notified immediately when the vaccine is available.</p>
                        <button class="btn btn-dark-blue" (click)="openNewProviderCard()">Register Your Clinic Today</button>
                    </td>
                    <td *ngIf="isProvider">
                        <h2 class="heading-text">Find a Patient Today</h2>
                        <p class="brief-desc">If you have an appointment time and vaccine dose available, register the appointment with our system and we will find an appropiate patient in your area to recieve the vaccine. When the patient confirms the appointment, we will notify you.</p>
                        <button class="btn btn-dark-blue" (click)="openNewAppointmentCard()">Add Appointment</button>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>
